Name: x11-font-encodings
Version: 1.1.0
Release: %mkrel 1
Summary: Xorg X11 font encodings
Group: Development/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/font/encodings-%{version}.tar.xz
License: Public Domain
BuildArch: noarch

BuildRequires: x11-font-util	>= 1.0.1
BuildRequires: x11-util-macros	>= 1.1.5

Conflicts: xorg-x11-xfs <= 6.9.0
Requires(pre): mkfontdir

%description
This package contains the encodings that map to specific characters.

%prep
%setup -q -n encodings-%{version}

%build
# to recognize aarch64
autoreconf -vfi

./configure --prefix=/usr \
            --x-includes=%{_includedir} \
            --x-libraries=%{_libdir} \
	    --with-encodingsdir=%{_datadir}/fonts/encodings

%make_build

%install
%make_install

%post
mkfontdir -n -e /usr/share/fonts/encodings /usr/share/fonts/encodings

%postun
mkfontdir -n -e /usr/share/fonts/encodings /usr/share/fonts/encodings

%files
%dir %{_datadir}/fonts/encodings
%{_datadir}/fonts/encodings/*




%changelog
* Fri Dec 06 2024 ns80 <ns80> 1.1.0-1.mga10
+ Revision: 2121994
- new version 1.1.0

* Thu Jul 21 2022 tv <tv> 1.0.6-1.mga9
+ Revision: 1869793
- 1.0.6

* Tue Mar 22 2022 umeabot <umeabot> 1.0.5-3.mga9
+ Revision: 1819477
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1.0.5-2.mga8
+ Revision: 1526844
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Jul 03 2019 tv <tv> 1.0.5-1.mga8
+ Revision: 1417966
- new release

* Fri Sep 21 2018 umeabot <umeabot> 1.0.4-8.mga7
+ Revision: 1292149
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1.0.4-7.mga7
+ Revision: 1233840
- fix build on aarch64

* Mon Feb 08 2016 umeabot <umeabot> 1.0.4-6.mga6
+ Revision: 943548
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-5.mga5
+ Revision: 742229
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 690503
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.4-3.mga4
+ Revision: 520321
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 386238
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.4-1.mga3
+ Revision: 5631
- imported package x11-font-encodings


* Sat Oct 30 2010 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 590413
- new release

* Wed Jan 13 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.3-1mdv2010.1
+ Revision: 490685
- License is Public Domain, not MIT
- New version: 1.0.3

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-4mdv2009.1
+ Revision: 325503
- rebuilt due to package loss?

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-3mdv2009.0
+ Revision: 225990
- rebuild
- fix no-buildroot-tag

* Tue Jan 22 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-2mdv2008.1
+ Revision: 156530
- Updated BuildRequires and resubmit package.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jul 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 55489
- use Requires(pre) instread of PreReq
- update description
- update to the latest upstream version


* Thu Mar 01 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.0-6mdv2007.0
+ Revision: 130447
- Re-generate encodings.dir when the package is installed (#29020)

* Fri Nov 17 2006 Pablo Saratxaga <pablo@mandriva.com> 1.0.0-5mdv2007.1
+ Revision: 85225
- removed wrong postinstall script (it was deleting the needed encodings.dir)

* Sat Aug 05 2006 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-4mdv2007.0
+ Revision: 52705
- Encondings should go to new path too

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

